* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

:root {
	/* colors */
	--fg: black;
	--fg-link: blue;
	--bg: white;
	--bg2: #e4e4e4;
	--semi-transparent: #fffd;
	--delete1: #ff7171;
	--delete2: red;
	--expired: yellow;
	--current: lime;

	/* spacing */
	--header-height: 60px; /* JS expects this in px */
	--vertical-padding: 10px;
	--horizontal-padding: 8px;
	--footer-height: 40px;

	/* font sizes */
	--font-size: 16px;
}

@media (prefers-color-scheme: dark) {
	:root {
		--fg: white;
		--fg-link: #0ff;
		--bg: black;
		--bg2: #3b3b3b;
		--semi-transparent: #000000b7;
		--delete1: #810000;
		--delete2: red;
		--expired: #866200;
		--current: green;
	}
}

body {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	min-height: 100vh;
	background-color: var(--bg2);
	color: var(--fg);
	font-size: var(--font-size);
	font-family: Verdana, sans-serif;
	line-height: 1.5;
	scroll-behavior: smooth;
	-webkit-tap-highlight-color: transparent;
}

header {
	--header-padding: calc(var(--header-height)/12);

	position: fixed;
	left: 0;
	top: 0;
	display: flex;
	justify-content: space-between;
	padding: var(--header-padding);
	width: 100vw;
	height: var(--header-height);
	background-color: var(--semi-transparent);
}

.header-btn {
	--btn-size: calc(var(--header-height) - 2*var(--header-padding));

	display: block;
	padding: 5px;
	width: var(--btn-size);
	height: var(--btn-size);
	background-color: var(--bg);
	color: var(--fg);
	border: none;
	border-radius: calc(var(--btn-size) / 8);
	cursor: pointer;
}

svg {
	display: block;
	width: 100%;
	height: 100%;
	color: inherit;
}

main {
	display: flex;
	flex-direction: column;
	gap: calc(var(--vertical-padding)*2);
	padding-top: var(--header-height);
	user-select: none;
}

main ul {
	display: flex;
	flex-direction: column;
	gap: var(--vertical-padding);
}

main ul::before {
	content: attr(data-date);
	display: block;
	min-height: 1em;
	margin-top: calc(var(--vertical-padding)*3);
	text-align: center;
	font-size: .75em;
	font-weight: bold;
}

main ul.expired::before {
	background-color: var(--expired);
}

main ul.current::before {
	background-color: var(--current);
}

main li {
	padding: .2em var(--horizontal-padding) .2em var(--horizontal-padding);
	background-color: var(--bg);
	cursor: pointer;
}

body.delete-mode main li {
	background-color: var(--delete1);
}

body.delete-mode main li.delete {
	background-color: var(--delete2);
}

footer {
	display: grid;
	place-content: center;
	margin-top: var(--footer-height);
	height: var(--footer-height);
	font-size: 0.8em;
}

.footer-link {
	color: var(--fg);
	text-decoration: inherit;
}

.footer-link:hover {
	text-decoration: underline;
}

/* sections ("sub-pages") */

section {
	position: fixed;
	inset: 0;
	opacity: 0;
	pointer-events: none;
}

body.modal-open,
body.options-open {
	overflow: hidden;
}

body.modal-open .modal-sec {
	opacity: 1;
	pointer-events: all;
	background-color: var(--semi-transparent);
}

.modal {
	--modal-spacing: min(2.5vh, 2.5vw);
	--modal-spacing2: calc(var(--modal-spacing)*2);
	--modal-spacing4: calc(var(--modal-spacing)*4);
	--modal-border-rds: calc(var(--modal-spacing)/2);

	display: flex;
	flex-direction: column;
	gap: var(--modal-spacing);
	padding: var(--modal-spacing2);
	width: 100vw;
	height: 50vh;
}

.modal-textarea {
	flex: 1;
	padding: calc(var(--modal-border-rds)/2) var(--modal-border-rds);
	background-color: var(--bg);
	color: var(--fg);
	font: inherit;
	border: var(--fg) solid 2px;
	border-radius: var(--modal-border-rds);
	resize: none;
}

.modal-textarea:focus {
	outline: none;
}

.modal-options {
	display: flex;
	gap: var(--modal-spacing);
	height: var(--modal-spacing4);
}

.modal-btn {
	width: var(--modal-spacing4);
	height: var(--modal-spacing4);
}

.modal-date {
	flex: 1;
}

.modal-btn,
.modal-date {
	color: var(--bg);
	background-color: var(--fg);
	border: none;
	border-radius: var(--modal-border-rds);
	cursor: pointer;
}

body.options-open .options-sec {
	opacity: 1;
	pointer-events: all;
}

.options-sec {
	display: flex;
	flex-direction: column;
	gap: 1em;
	padding: .5em;
	background-color: var(--bg);
	overflow-y: scroll;
}

h1 {
	display: inline-block;
	padding: 0 .4em;
	background-color: var(--fg);
	color: var(--bg);
	font-size: inherit;
}

.right {
	text-align: right;
}

.options-sec button {
	display: inline-block;
	padding: 0 .25em;
}

.options-sec a {
	color: var(--fg-link);
}